Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## javax.management
Class Query

    java.lang.Object
      |
      +--javax.management.Query

public class Query
extends java.lang.Object

The Query class supports construction of query object constraints. The static methods provided return query expressions that may be used in listing and enumerating MBeans. Individual constraint constructing methods allow only appropriate types as arguments. Composition of calls can construct arbitrary nestings of constraints, as the following example illustrates: QueryExp exp = Query.and(Query.gt(Query.attr("age"),Query.value(5)), Query.match(Query.attr("name"), Query.value("Smith")));

Field Summary
`static int` | `DIV`
`static int` | `EQ`
`static int` | `GE`
`static int` | `GT`
`static int` | `LE`
`static int` | `LT`
`static int` | `MINUS`
`static int` | `PLUS`
`static int` | `TIMES`

Constructor Summary
`Query()` Basic constructor.

Method Summary
`static QueryExp` | `and(QueryExp q1, QueryExp q2)` Returns a query expression that is the conjunction of two other query expressions.
`static QueryExp` | `anySubString(AttributeValueExp a, StringValueExp s)` Returns a query expression that represents a matching constraint on a string argument.
`static AttributeValueExp` | `attr(java.lang.String name)` Returns a new attribute expression.
`static AttributeValueExp` | `attr(java.lang.String className, java.lang.String name)` Returns a new qualified attribute expression.
`static QueryExp` | `between(ValueExp v1, ValueExp v2, ValueExp v3)` Returns a query expression that represents the constraint that one value is between two other values.
`static AttributeValueExp` | `classattr()` Returns a new class attribute expression which can be used in any Query call that expects a ValueExp.
`static ValueExp` | `div(ValueExp value1, ValueExp value2)` Returns a binary expression representing the quotient of two numeric values.
`static QueryExp` | `eq(ValueExp v1, ValueExp v2)` Returns a query expression that represents an equality constraint on two values.
`static QueryExp` | `finalSubString(AttributeValueExp a, StringValueExp s)` Returns a query expression that represents a matching constraint on a string argument.
`static QueryExp` | `geq(ValueExp v1, ValueExp v2)` Returns a query expression that represents a "greater than or equal to" constraint on two values.
`static QueryExp` | `gt(ValueExp v1, ValueExp v2)` Returns a query expression that represents a "greater than" constraint on two values.
`static QueryExp` | `in(ValueExp val, ValueExp[] valueList)` Returns an expression constraining a value to be one of an explicit list.
`static QueryExp` | `initialSubString(AttributeValueExp a, StringValueExp s)` Returns a query expression that represents a matching constraint on a string argument.
`static QueryExp` | `leq(ValueExp v1, ValueExp v2)` Returns a query expression that represents a "less than or equal to" constraint on two values.
`static QueryExp` | `lt(ValueExp v1, ValueExp v2)` Returns a query expression that represents a "less than" constraint on two values.
`static QueryExp` | `match(AttributeValueExp a, StringValueExp s)` Returns a query expression that represents a matching constraint on a string argument.
`static ValueExp` | `minus(ValueExp value1, ValueExp value2)` Returns a binary expression representing the difference of two numeric values.
`static QueryExp` | `not(QueryExp queryExp)` Returns a constraint that is the negation of its argument.
`static QueryExp` | `or(QueryExp q1, QueryExp q2)` Returns a query expression that is the disjunction of two other query expressions.
`static ValueExp` | `plus(ValueExp value1, ValueExp value2)` Returns a binary expression representing the sum of two numeric values or the concatenation of two string values.
`static ValueExp` | `times(ValueExp value1, ValueExp value2)` Returns a binary expression representing the product of two numeric values.
`static ValueExp` | `value(boolean val)` Returns a boolean value expression that can be used in any Query call that expects a ValueExp.
`static ValueExp` | `value(double val)` Returns a numeric value expression that can be used in any Query call that expects a ValueExp.
`static ValueExp` | `value(float val)` Returns a numeric value expression that can be used in any Query call that expects a ValueExp.
`static ValueExp` | `value(int val)` Returns a numeric value expression that can be used in any Query call that expects a ValueExp.
`static ValueExp` | `value(long val)` Returns a numeric value expression that can be used in any Query call that expects a ValueExp.
`static ValueExp` | `value(java.lang.Number val)` Returns a numeric value expression that can be used in any Query call that expects a ValueExp..
`static StringValueExp` | `value(java.lang.String val)` Returns a new string expression.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### GT

    public static final int GT

### LT

    public static final int LT

### GE

    public static final int GE

### LE

    public static final int LE

### EQ

    public static final int EQ

### PLUS

    public static final int PLUS

### MINUS

    public static final int MINUS

### TIMES

    public static final int TIMES

### DIV

    public static final int DIV

Constructor Detail

### Query

    public Query()

  Basic constructor.

Method Detail

### and

    public static QueryExp and(QueryExp q1,
                               QueryExp q2)

  Returns a query expression that is the conjunction of two other query expressions.
  Parameters:
    `q1` - A query expression
    `q2` - Another query expression
  Returns:
    The conjunction of the two arguments.

### or

    public static QueryExp or(QueryExp q1,
                              QueryExp q2)

  Returns a query expression that is the disjunction of two other query expressions.
  Parameters:
    `q1` - A query expression
    `q2` - Another query expression
  Returns:
    The disjunction of the two arguments.

### gt

    public static QueryExp gt(ValueExp v1,
                              ValueExp v2)

  Returns a query expression that represents a "greater than" constraint on two values.
  Parameters:
    `v1` - A value expression
    `v2` - Another value expression
  Returns:
    A "greater than" constraint on the arguments.

### geq

    public static QueryExp geq(ValueExp v1,
                               ValueExp v2)

  Returns a query expression that represents a "greater than or equal to" constraint on two values.
  Parameters:
    `v1` - A value expression
    `v2` - Another value expression
  Returns:
    A "greater than or equal to" constraint on the arguments.

### leq

    public static QueryExp leq(ValueExp v1,
                               ValueExp v2)

  Returns a query expression that represents a "less than or equal to" constraint on two values.
  Parameters:
    `v1` - A value expression
    `v2` - Another value expression
  Returns:
    A "less than or equal to" constraint on the arguments.

### lt

    public static QueryExp lt(ValueExp v1,
                              ValueExp v2)

  Returns a query expression that represents a "less than" constraint on two values.
  Parameters:
    `v1` - A value expression
    `v2` - Another value expression
  Returns:
    A "less than" constraint on the arguments.

### eq

    public static QueryExp eq(ValueExp v1,
                              ValueExp v2)

  Returns a query expression that represents an equality constraint on two values.
  Parameters:
    `v1` - A value expression
    `v2` - Another value expression
  Returns:
    A "equal to" constraint on the arguments.

### between

    public static QueryExp between(ValueExp v1,
                                   ValueExp v2,
                                   ValueExp v3)

  Returns a query expression that represents the constraint that one value is between two other values.
  Parameters:
    `v1` - A value expression that is "between" v2 and v3
    `v2` - Value expression that represents a boundary of the constraint
    `v3` - Value expression that represents a boundary of the constraint
  Returns:
    The constraint that v1 lies between v2 and v3.

### match

    public static QueryExp match(AttributeValueExp a,
                                 StringValueExp s)

  Returns a query expression that represents a matching constraint on a string argument. The matching syntax is consistent with file globbing: Supports "?", "*", "[", each of which may be escaped with "\"; Character classes may use "!" for negation and "-" for range. (* for any character sequence ? for a single arbitrary character [...] for a character sequence). For example: a*b?c would match a string starting with the character a, followed by any number of characters, followed by a b, any single character, and a c.
  Parameters:
    `a` - An attribute expression
    `s` - A string value expression representing a matching constraint
  Returns:
    A query expression that represents the matching constraint on the string argument.

### attr

    public static AttributeValueExp attr(java.lang.String name)

  Returns a new attribute expression.
  Parameters:
    `name` - The name of the attribute.
  Returns:
    An attribute expression for the attribute named name.

### attr

    public static AttributeValueExp attr(java.lang.String className,
                                         java.lang.String name)

  Returns a new qualified attribute expression.
  Parameters:
    `className` - The name of the class possessing the attribute
    `name` - The name of the attribute
  Returns:
    An attribute expression for the attribute named name.

### classattr

    public static AttributeValueExp classattr()

  Returns a new class attribute expression which can be used in any Query call that expects a ValueExp.
  Returns:
    A class attribute expression.

### not

    public static QueryExp not(QueryExp queryExp)

  Returns a constraint that is the negation of its argument.
  Parameters:
    `queryExp` - The constraint to negate
  Returns:
    A negated constraint.

### in

    public static QueryExp in(ValueExp val,
                              ValueExp[] valueList)

  Returns an expression constraining a value to be one of an explicit list.
  Parameters:
    `val` - A value to be constrained
    `valueList` - An array of ValueExps
  Returns:
    A QueryExp that represents the constraint.

### value

    public static StringValueExp value(java.lang.String val)

  Returns a new string expression.
  Parameters:
    `val` - The string value
  Returns:
    A ValueExp object containing the string argument.

### value

    public static ValueExp value(java.lang.Number val)

  Returns a numeric value expression that can be used in any Query call that expects a ValueExp..
  Parameters:
    `val` - An instance of Number
  Returns:
    A ValueExp object containing the argument.

### value

    public static ValueExp value(int val)

  Returns a numeric value expression that can be used in any Query call that expects a ValueExp.
  Parameters:
    `val` - An int value
  Returns:
    A ValueExp object containing the argument.

### value

    public static ValueExp value(long val)

  Returns a numeric value expression that can be used in any Query call that expects a ValueExp.
  Parameters:
    `val` - A long value
  Returns:
    A ValueExp object containing the argument.

### value

    public static ValueExp value(float val)

  Returns a numeric value expression that can be used in any Query call that expects a ValueExp.
  Parameters:
    `val` - A float value
  Returns:
    A ValueExp object containing the argument.

### value

    public static ValueExp value(double val)

  Returns a numeric value expression that can be used in any Query call that expects a ValueExp.
  Parameters:
    `val` - A double value
  Returns:
    A ValueExp object containing the argument.

### value

    public static ValueExp value(boolean val)

  Returns a boolean value expression that can be used in any Query call that expects a ValueExp.
  Parameters:
    `val` - A boolean value
  Returns:
    A ValueExp object containing the argument.

### plus

    public static ValueExp plus(ValueExp value1,
                                ValueExp value2)

  Returns a binary expression representing the sum of two numeric values or the concatenation of two string values.
  Parameters:
    `value1` - The first '+' operand.
    `value2` - The second '+' operand.
  Returns:
    A ValueExp representing the sum or concatenation of the two arguments.

### times

    public static ValueExp times(ValueExp value1,
                                 ValueExp value2)

  Returns a binary expression representing the product of two numeric values.
  Parameters:
    `value1` - The first '*' operand.
    `value2` - The second '*' operand.
  Returns:
    A ValueExp representing the product.

### minus

    public static ValueExp minus(ValueExp value1,
                                 ValueExp value2)

  Returns a binary expression representing the difference of two numeric values.
  Parameters:
    `value1` - The first '-' operand.
    `value2` - The second '-' operand.
  Returns:
    A ValueExp representing the difference of two arguments.

### div

    public static ValueExp div(ValueExp value1,
                               ValueExp value2)

  Returns a binary expression representing the quotient of two numeric values.
  Parameters:
    `value1` - The first '/' operand.
    `value2` - The second '/' operand.
  Returns:
    A ValueExp representing the quotient of two arguments.

### initialSubString

    public static QueryExp initialSubString(AttributeValueExp a,
                                            StringValueExp s)

  Returns a query expression that represents a matching constraint on a string argument. The value must start with the given string value.
  Parameters:
    `a` - An attribute expression
    `s` - A string value expression representing the beginning of the string value
  Returns:
    The constraint that a matches s.

### anySubString

    public static QueryExp anySubString(AttributeValueExp a,
                                        StringValueExp s)

  Returns a query expression that represents a matching constraint on a string argument. The value must contain the given string value.
  Parameters:
    `a` - An attribute expression
    `s` - A string value expression representing the substring.
  Returns:
    The constraint that a matches s.

### finalSubString

    public static QueryExp finalSubString(AttributeValueExp a,
                                          StringValueExp s)

  Returns a query expression that represents a matching constraint on a string argument. The value must contain the given string value.
  Parameters:
    `a` - An attribute expression
    `s` - A string value expression representing the end of the string value
  Returns:
    The constraint that a matches s.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD